Page MenuHomePhabricator

Editing "$wgNamespacesToBeSearchedDefault" at EO wiktionary
Closed, ResolvedPublic

Description

We would like to edit the configuration file "$wgNamespacesToBeSearchedDefault" at EO wiktionary. Change needed:

remove all the obscure namespaces listed now ("File:", "Gadget-Talk:", ...) and add only following 2 instead: main (NS=0) and "Aldono:" (NS=102).

Local consensus not yet present but will be delivered if needed.

https://www.mediawiki.org/wiki/Manual:$wgNamespacesToBeSearchedDefault

Event Timeline

Taylor created this task.Nov 9 2019, 4:53 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 9 2019, 4:53 AM

Yeah consensus is really needed here. Other people may feel the present setting is OK?

DannyS712 changed the task status from Open to Stalled.Nov 9 2019, 9:28 AM

@Taylor: For future reference, see https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes for information and actions required. And if you would like to make this configuration change yourself and edit some code, please see https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests and give it a try.

I have sort of a consensus now (3 YES votes, one of them is mine after 5 days, started Nov-09):

About "information and actions required": is there something I had missed ?

About "give it a try": maybe I will ... but it looks complicated, I have a install GIT, acquire write access to it, ...

Taylor changed the task status from Stalled to Open.Nov 14 2019, 10:55 AM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptNov 19 2019, 11:02 AM

Change 551793 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] Configure default search namespaces for eo.wikisource

https://gerrit.wikimedia.org/r/551793

Change 551793 merged by jenkins-bot:
[operations/mediawiki-config@master] Configure default search namespaces for eo.wikisource

https://gerrit.wikimedia.org/r/551793

Mentioned in SAL (#wikimedia-operations) [2019-11-19T18:09:02Z] <catrope@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Configure default search namespaces for eowikisource (T237792) (duration: 00m 52s)

DannyS712 closed this task as Resolved.Nov 19 2019, 6:09 PM
DannyS712 removed a project: Patch-For-Review.
MarcoAurelio triaged this task as Low priority.Nov 19 2019, 6:10 PM

Done. I made a mistake in the commit message mentioning the change was for wikisource when in fact was for wiktionary; but the code is applied to eo.wiktionary as requested.

Thanks ... I see that the patch has already been applied and works. The namespace 102 has been added (the most important part of the request), the large amount of obscure namespaces (other than 0 and 102) have not been removed (the less important part).

Ammarpad reopened this task as Open.EditedNov 20 2019, 5:19 AM

@MarcoAurelio It appears this has not been fulfilled according to the request

Ammarpad added a comment.EditedNov 20 2019, 6:59 AM

Ok I am not sure; on search while logged out, only Aldono (ns:102) and "Cefa" (ns:0) are searched by default.

@ Taylor Do you mean, you want see this list of namespaces here to be hidden at all (apart from 102 and 0?

The patch is working as expected @Taylor - Special:Search is now configured to search on NS_MAIN and NS_102 as requested. You cannot remove from the search form the ability to search on other namespaces I'm afraid.

Ammarpad closed this task as Resolved.Nov 20 2019, 1:52 PM

Rereading their comment, it seems that's what they want ... and yes it's not currently possible.

Taylor added a comment.EditedNov 21 2019, 8:17 PM

'''UPDATED''': Indeed now it works well if I AM NOT LOGGED IN ... only 0 and 102 are preselected. But when logged in still all namespaces are preselected. This does not happen on for example Swedish wiktionary. The request was not to completely remove the possibility to search in them, only to remove them from the preselection. And the patch added only 102 and did not remove the other ones. I don't know why they are preselected when I am logged in. No longer a major issue, but still strange.

When I go to Special:Search at eo.wiktionary while logged in I see:

I think this has to be something with your search preferences or the saved searches. Possible solutions:

  • In the "Search in" dropdown on Special:Search (cfr. image above), unfold it and see if "Default" is selected and if any other namespaces are selected too. Unselect them all, leave just "Default" and also click "Remember selection for future searches". Afterwards search something like "Foo bar" to save your new search settings.

I hope this is helpful. Regards.

Dcljr added a subscriber: Dcljr.EditedNov 25 2019, 3:54 AM

FWIW, I see "Aldono", "(Main)", and "Kategorio" when logged in. As far as I recall, I have never selected namespaces to search on eo.wiktionary. But I could be wrong...

When not logged in, I see "Aldono" and "(Ĉefa)".


Edit: Oh, but I probably selected which namespaces to search in my preferences years ago, back when that was an option (now you just get to select the type of autocompletion you want and whether to suppress the advanced search interface). So, yeah... nevermind.

Taylor added a comment.EditedNov 29 2019, 8:19 PM

Sorry for the late answer. Indeed it works well and this "bug" can remain CLOSED.

See if in https://eo.wiktionary.org/wiki/Speciala%C4%B5o:Preferoj#mw-prefsection-searchoptions you have any custom

I had checked that place BEFORE whining here. No private search options were visible.

In the "Search in" dropdown on Special:Search (cfr. image above), unfold it and see

...

also click "Remember selection for future searches". Afterwards search something

Indeed those namespaces were hidden there. I must have activated them some centuries ago unaware that this would be so permanent. The search menu has changed the appearance several times (becoming more complicated and less useful) since but the "maximal search scope" remained.

Thanks again.